Interface Technology Basics VST 3.7 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | List of all members
IStringResult Class Referenceabstract

Interface to return an ascii string of variable size. More...

`#include <istringresult.h>`

Inheritance diagram for IStringResult:

## Public Member Functions
virtual void | setText (const char8 *text)=0
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
| Query for a pointer to the specified interface.
virtual uint32 | addRef ()=0
| Adds a reference and returns the new reference count.
virtual uint32 | release ()=0
| Releases a reference and returns the new reference count.

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Interface to return an ascii string of variable size.

In order to manage memory allocation and deallocation properly, this interface is used to transfer a string as result parameter of a method requires a string of unknown size.

- [host imp] or [plug imp]
- [released: SX 4]

## Member Function Documentation

## ◆ setText()

virtual void setText | ( | const char8 * | text | ) |
| pure virtual

## Member Data Documentation

## ◆ iid

const FUID iid
| static

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.